"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
function check(path, isFile = false, isDirectory = false) {
    try {
        let matches = false;
        const stat = fs_1.statSync(path);
        matches = matches || isFile && stat.isFile();
        matches = matches || isDirectory && stat.isDirectory();
        return matches;
    }
    catch (e) {
        if (e.code === 'ENOENT') {
            return false;
        }
        throw e;
    }
}
function exists(path, type) {
    if (!type) {
        return check(path, true, true);
    }
    return check(path, type & 1, type & 2);
}
exports.exists = exists;
exports.FILE = 1;
exports.FOLDER = 2;
//# sourceMappingURL=exists.js.map